<template>
	<div class="my-template-619"
    :style="{
      backgroundColor: '#f4f4f4',
      minHeight: mainHeight,
      overflow: 'auto',
      width: '100%'}"
  >
	<div style="padding:10px;width:100%">
			<el-row :style="{ margin: '15px 0 15px 0',}">
<el-col :span="24">
<el-form
      :rules="rules"
      :model="model_yun_storage_products"
      :inline="false"
      ref="ruleForm"
      label-width="auto"
      size="default"
      :hide-required-asterisk="false"
      :class="formContent">
		<el-row :gutter="5">
			<el-col :span="4">
	<el-form-item label="产品名称：" prop="products_name">
			<el-input :size="size" v-model="model_yun_storage_products.products_name"  />
 	</el-form-item>
	  		</el-col>
<el-col  :span="4"  style="margin-bottom: 10px;">
          <el-button icon="search" size="default" type="primary" @click="searchData">
            搜索
          </el-button>
          <el-button icon="Delete" size="default" type="danger" @click="clearSearch">
            清除
          </el-button>
        </el-col>		</el-row>
	</el-form>

</el-col>
			</el-row>
   <el-row style="border-top:1px solid #eee">
      <el-col
        v-for="(d, index) in dataList"
        :key="d.id"
        style="border-bottom: 1px solid #eee;"
      >
        <el-row>
          <el-col :span="4" style="text-align:left;padding:20px">
            <img
              :src="d.img"
              style="max-height:280px;height:100% ;max-width:280px;width:100% ;"
            />
          </el-col>
          <el-col :span="12" style="text-align:left;padding:20px">
            <div v-for="(value,key, index) in d" :key="index" style="height:30px">
              <span v-if="index == 0" style="font-weight:bold;font-size:18px"
                >{{ key }}：</span
              >
              <span v-else style="color: #999;">{{ key }}：</span>
              <span>{{ value }}</span>
            </div></el-col
          >
          <el-col
            :span="4"
            style="text-align:right;line-height:200px"
          >
<el-button
                  type="primary"
                  size="small"
                  style="margin-right: 5px"
                  icon="edit"
                  @click="rowEventClick(287,null)"
                >
                  编辑
                </el-button>
<el-button
                  type="danger"
                  size="small"
                  style="margin-right: 5px"
                  icon="delete"
                  @click="rowEventClick(288,null)"
                >
                  删除
                </el-button>
          </el-col>
        </el-row>
      </el-col>
</el-row></div> 
</div>
</template>
<script>

export default {
	created(){
 		this.getInit()
	},
 	data(){
  		return{ 
		size: "large",
model_yun_storage_products:{},
		dataList:[{"重量":"测试重量0","产品事项":"测试产品事项0","产品名称":"测试产品名称0","产品类型":"测试产品类型0","颜色":"测试颜色0","产品单价":0,"产品图片":"测试产品图片0","产品产地":"测试产品产地0","id":0},{"重量":"测试重量1","产品事项":"测试产品事项1","产品名称":"测试产品名称1","产品类型":"测试产品类型1","颜色":"测试颜色1","产品单价":1,"产品图片":"测试产品图片1","产品产地":"测试产品产地1","id":1},{"重量":"测试重量2","产品事项":"测试产品事项2","产品名称":"测试产品名称2","产品类型":"测试产品类型2","颜色":"测试颜色2","产品单价":2,"产品图片":"测试产品图片2","产品产地":"测试产品产地2","id":2},{"重量":"测试重量3","产品事项":"测试产品事项3","产品名称":"测试产品名称3","产品类型":"测试产品类型3","颜色":"测试颜色3","产品单价":3,"产品图片":"测试产品图片3","产品产地":"测试产品产地3","id":3},{"重量":"测试重量4","产品事项":"测试产品事项4","产品名称":"测试产品名称4","产品类型":"测试产品类型4","颜色":"测试颜色4","产品单价":4,"产品图片":"测试产品图片4","产品产地":"测试产品产地4","id":4}],
		mainHeight:"",
		columns:[],

		}
	},
 	methods:{
		getInit(){
 			this.mainHeight=window.innerHeight+'px';//高度；初始化
		},
searchData() {
      alert("这里是搜索！");
    },
    clearSearch() {
      alert("清除所有搜索条件！");
    },

	}
}
</script>
<style lang="less" scoped>
.my-template-619{
}
</style>

